import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;

/**
 * ScreenSaver Project
 *
 * This is a template applet for animation.
 * It illustrates how to use a graphics context
 * to draw ScreenSaver.
 *     SUN
 * @yehuda avni
 */

import java.awt.*;
import java.applet.*;


public class ScreenSaver1 extends java.applet.Applet implements Runnable {
	
	int frame;
    int delay;
    
    Thread animator;

    /**
     * Initialize the applet and compute the delay between frames.
     *        
     */
    public void init() {
	String str = getParameter("fps");
	int fps = (str != null) ? Integer.parseInt(str) : 10;
	delay =20;//(fps > 0) ? (1000 / fps) : 100;
    }

    /**
     * This method is called when the applet becomes visible on
     * the screen. Create a thread and start it.
     *          
     */
    public void start() {
	animator = new Thread(this);
	animator.start();
    }

    /**
     * This method is called by the thread that was created in
     * the start method. It does the main animation.
     *             
     */
    public void run() {
	// Remember the starting time
	//   
	long tm = System.currentTimeMillis();
	while (Thread.currentThread() == animator) {
	    // Display the next frame of animation.
	    //    
	    repaint();

	    // Delay depending on how far we are behind.
	    //  
	    try {
		tm += delay*10;
		Thread.sleep(Math.max(0, tm - System.currentTimeMillis()));
	    } catch (InterruptedException e) {
		break;
	    }

	    // Advance the frame
	    frame++;
	}
    }

    /**
     * This method is called when the applet is no longer
     * visible. Set the animator variable to null so that the
     * thread will exit before displaying the next frame.
     */
    public void stop() {
	animator = null;
    }

    /**
     *    
     */
    public void paint(Graphics g) {
    	//      
    	g.setColor(Color.red);
		g.fillOval(20, 20, 40, 40);
    	
    	
    
    	
    	
	}
    
    
   
}