import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;

/**
 * ScreenSaver Project
 *
 * This is a template applet for animation.
 * It illustrates how to use a graphics context
 * to draw ScreenSaver.
 *     SUN
 * @yehuda avni
 */


public class ScreenSaver4 extends java.applet.Applet implements Runnable {
	
		int x=0;//  
		int y=0;//  
		int xd=10;//    
	    int yd=10;//    
	    int color=1;//  
	    int width=20;//  
	    int heigth=20;//  
		
	int frame;
    int delay;
    
    Thread animator;

    /**
     * Initialize the applet and compute the delay between frames.
     *        
     */
    public void init() {
	String str = getParameter("fps");
	int fps = (str != null) ? Integer.parseInt(str) : 10;
	delay =20;//(fps > 0) ? (1000 / fps) : 100;
    }

    /**
     * This method is called when the applet becomes visible on
     * the screen. Create a thread and start it.
     *          
     */
    public void start() {
	animator = new Thread(this);
	animator.start();
    }

    /**
     * This method is called by the thread that was created in
     * the start method. It does the main animation.
     *             
     */
    public void run() {
	// Remember the starting time
	//   
	long tm = System.currentTimeMillis();
	while (Thread.currentThread() == animator) {
	    // Display the next frame of animation.
	    //    
	    repaint();

	    // Delay depending on how far we are behind.
	    //  
	    try {
		tm += delay*10;
		Thread.sleep(Math.max(0, tm - System.currentTimeMillis()));
	    } catch (InterruptedException e) {
		break;
	    }

	    // Advance the frame
	    frame++;
	}
    }

    /**
     * This method is called when the applet is no longer
     * visible. Set the animator variable to null so that the
     * thread will exit before displaying the next frame.
     */
    public void stop() {
	animator = null;
    }

    /**
     *    
     */
    public void paint(Graphics g) {
    		    
	    Ball br = new Ball(x,y,width,heigth,color);
    	br.paint(g);
	    
	    //      
	    x+=xd; y+=yd;
    	
    	if(x>600)xd=xd*-1;
    	if(x<1)xd=xd*-1;
    	if(y>400)yd=yd*-1;
    	if(y<1)yd=yd*-1;
    	
    	
	}
        
}
